CREATE TABLE client_activity (
    id INTEGER PRIMARY KEY,
    hostname TEXT NOT NULL,
    timestamp TIMESTAMP
);
CREATE TABLE client_component (
    id INTEGER PRIMARY KEY,
    hostname TEXT NOT NULL,
    timestamp TIMESTAMP,
    component TEXT NOT NULL,
    value TEXT NOT NULL
);
CREATE TABLE config (
    id INTEGER PRIMARY KEY,
    config_key TEXT NOT NULL,
    config_value TEXT NOT NULL
);
insert into config (config_key, config_value) values ('VERSION', '2');
CREATE TABLE install_queue (
    id INTEGER PRIMARY KEY,
    hostname TEXT NOT NULL,
    package TEXT NOT NULL,
    status INT,
    lastlog TEXT,
    inserttime TIMESTAMP,
    lastlog_time TIMESTAMP
);
CREATE TABLE octomon_log (tsend float not null primary key, tsstart float not null, lines integer not null);
CREATE TABLE user_groups (
    id INTEGER PRIMARY KEY,
    hostname TEXT NOT NULL,
    username TEXT NOT NULL,
    groupname TEXT NOT NULL
);
CREATE TABLE users (
    id INTEGER PRIMARY KEY,
    username TEXT NOT NULL,
    action TEXT NOT NULL,
    timestamp TIMESTAMP
);
